import { Component, Input, OnChanges, SimpleChanges } from '@angular/core';
import { Channel } from '../../../../models/channel';

@Component({
  selector: 'app-channel-entry',
  standalone: false,
  templateUrl: './channel-entry.component.html',
  styleUrl: './channel-entry.component.scss'
})
export class ChannelEntryComponent implements OnChanges {
  @Input("channel") public channel!: Channel;
  @Input("selected") public selected!: boolean;

  public hasAlert: boolean = false;

  ngOnChanges(changes: SimpleChanges): void {
    if (this.selected) {
      this.hasAlert = false;
    }
  }

  // TODO: subsribe to message alerts and display them
  //       unsubscirbe when leaving
}
